[Eclipse IDE setup] Task not found

(Jochen Bauer) #1

Dear Community,

after installing current openHAB-IDE (openHAB-Addon-Development only) I got the following error:

Performing Launch PaperUI Setup
java.lang.Exception: No launcher found for PaperUI Setup
at org.eclipse.oomph.setup.launching.impl.LaunchTaskImpl.perform(LaunchTaskImpl.java:262)
at

Thanks in advance for your ideas.

Here is the full stacktrace:

Executing manual tasks

Java™ SE Runtime Environment 1.8.0_201-b09

Product org.eclipse.products.epp.package.java.2018-12

Workspace Z:\joba\workspaceopenhab\OpenHabAddonDev\openhab-master\ws

Project com.github.openhab.1_infra.master

Bundle org.eclipse.oomph.setup 1.12.0.v20190206-0943, build=3856, branch=24500da9d65df5e02ec379bb469839841d49a4f2

Bundle org.eclipse.oomph.setup.core 1.12.0.v20190206-0651, build=3856, branch=24500da9d65df5e02ec379bb469839841d49a4f2

Bundle org.eclipse.oomph.setup.git 1.12.0.v20190115-1359, build=3827, branch=4e5724653144559ceea47aca17cc41b2abeb6745

Bundle org.eclipse.oomph.setup.jdt 1.11.0.v20181106-1002, build=3827, branch=4e5724653144559ceea47aca17cc41b2abeb6745

Bundle org.eclipse.oomph.setup.launching 1.10.0.v20180706-1242, build=3827, branch=4e5724653144559ceea47aca17cc41b2abeb6745

Bundle org.eclipse.oomph.setup.p2 1.10.0.v20180706-1242, build=3735, branch=1ac98fba42349326f02fd73178776c63324064c4

Bundle org.eclipse.oomph.setup.pde 1.10.0.v20180706-1242, build=3827, branch=4e5724653144559ceea47aca17cc41b2abeb6745

Bundle org.eclipse.oomph.setup.projects 1.10.0.v20180706-1242, build=3827, branch=4e5724653144559ceea47aca17cc41b2abeb6745

Bundle org.eclipse.oomph.setup.workingsets 1.10.0.v20180706-1242, build=3827, branch=4e5724653144559ceea47aca17cc41b2abeb6745

Performing P2 Director (Eclipse IDE for Java Developers (2018-12))

Offline = false

Mirrors = true

Resolving 32 requirements from 4 repositories to Z:\joba\workspaceopenhab\OpenHabAddonDev\openhab-master\eclipse

Requirement org.eclipse.wst.xml_ui.feature.feature.group

Requirement org.eclipse.mylyn.java_feature.feature.group

Requirement org.eclipse.mylyn.git.feature.group

Requirement org.eclipse.pde.feature.group

Requirement org.eclipse.wst.jsdt.feature.feature.group

Requirement org.eclipse.wst.web_ui.feature.feature.group

Requirement epp.package.java [4.10.0,5.0.0)

Requirement org.eclipse.platform.feature.group [4.10.0,5.0.0)

Requirement org.eclipse.rcp.feature.group [4.10.0,5.0.0)

Requirement org.eclipse.buildship.feature.group

Requirement org.eclipse.eclemma.feature.feature.group

Requirement org.eclipse.egit.feature.group

Requirement org.eclipse.egit.mylyn.feature.group

Requirement org.eclipse.epp.mpc.feature.group

Requirement org.eclipse.jdt.feature.group

Requirement org.eclipse.jgit.feature.group

Requirement org.eclipse.m2e.feature.feature.group

Requirement org.eclipse.m2e.logback.feature.feature.group

Requirement org.eclipse.mylyn.bugzilla_feature.feature.group

Requirement org.eclipse.mylyn.context_feature.feature.group

Requirement org.eclipse.mylyn.hudson.feature.group

Requirement org.eclipse.mylyn.ide_feature.feature.group

Requirement org.eclipse.mylyn.wikitext_feature.feature.group

Requirement org.eclipse.mylyn_feature.feature.group

Requirement org.eclipse.tips.feature.feature.group

Requirement org.eclipse.oomph.setup.feature.group

Requirement org.eclipse.oomph.setup.jdt.feature.group

Requirement org.eclipse.oomph.setup.git.feature.group

Requirement org.eclipse.oomph.setup.workingsets.feature.group

Requirement org.eclipse.oomph.setup.projects.feature.group

Requirement org.eclipse.oomph.setup.pde.feature.group

Requirement org.eclipse.oomph.setup.launching.feature.group

Repository http://download.eclipse.org/technology/epp/packages/2018-12

Repository http://download.eclipse.org/releases/2018-12/201812191000

Repository http://download.eclipse.org/oomph/updates/milestone/latest

Repository http://download.eclipse.org/egit/updates

Adding repository http://download.eclipse.org/technology/epp/packages/2018-12

Adding repository http://download.eclipse.org/egit/updates

Adding repository http://download.eclipse.org/oomph/updates/milestone/latest

Adding repository http://download.eclipse.org/releases/2018-12/201812191000

Calculating requirements and dependencies.

Computing prerequisite plan

No software updates are available

Performing Preference /instance/org.eclipse.jdt.core/org.eclipse.jdt.core.codeComplete.argumentSuffixes

Performing Preference /instance/org.eclipse.jdt.core/org.eclipse.jdt.core.codeComplete.staticFinalFieldSuffixes

Performing Projects Import

Importing projects from Z:\joba\workspaceopenhab\OpenHabAddonDev\openhab-master\git\openhab-distro\features

Importing projects from Z:\joba\workspaceopenhab\OpenHabAddonDev\openhab-master\git\openhab-distro\launch

Performing Target Platform openHAB Target Platform

Performing Projects Import

Importing projects from Z:\joba\workspaceopenhab\OpenHabAddonDev\openhab-master\git\openhab2-addons\addons

Performing Launch PaperUI Setup

java.lang.Exception: No launcher found for PaperUI Setup

at org.eclipse.oomph.setup.launching.impl.LaunchTaskImpl.perform(LaunchTaskImpl.java:262)

at org.eclipse.oomph.setup.internal.core.SetupTaskPerformer.doPerformNeededSetupTasks(SetupTaskPerformer.java:3335)

at org.eclipse.oomph.setup.internal.core.SetupTaskPerformer.access$1(SetupTaskPerformer.java:3278)

at org.eclipse.oomph.setup.internal.core.SetupTaskPerformer$WorkspaceUtil$1.run(SetupTaskPerformer.java:4514)

at org.eclipse.core.internal.resources.Workspace.run(Workspace.java:2295)

at org.eclipse.core.internal.resources.Workspace.run(Workspace.java:2322)

at org.eclipse.oomph.setup.internal.core.SetupTaskPerformer$WorkspaceUtil.performNeededSetupTasks(SetupTaskPerformer.java:4508)

at org.eclipse.oomph.setup.internal.core.SetupTaskPerformer$WorkspaceUtil.access$0(SetupTaskPerformer.java:4506)

at org.eclipse.oomph.setup.internal.core.SetupTaskPerformer.performNeededSetupTasks(SetupTaskPerformer.java:3269)

at org.eclipse.oomph.setup.internal.core.SetupTaskPerformer.performTriggeredSetupTasks(SetupTaskPerformer.java:3244)

at org.eclipse.oomph.setup.internal.core.SetupTaskPerformer.perform(SetupTaskPerformer.java:3144)

at org.eclipse.oomph.setup.ui.wizards.ProgressPage$9.run(ProgressPage.java:575)

at org.eclipse.oomph.setup.ui.wizards.ProgressPage$11$1.run(ProgressPage.java:701)

at org.eclipse.core.internal.jobs.Worker.run(Worker.java:63)

Took 54 seconds.

There are failed tasks.

Press Back to choose different settings or Cancel to abort.

0 Likes

(Scott Rushworth) #2

Repos have been moved around again. The UIs are no longer in openhab-addons and have their own openhab-webui repo. The setup file hasn’t been updated yet.

0 Likes

(Juergen) #3

I experience the same problem. Can I work around that?

0 Likes

(Scott Rushworth) #4
0 Likes